# Author: Moon Kim 20130201
# Purpose: Copies and renames each raster GRID to "shortname"_"sequential number" format(see following doc for details.
# runs on ArcGIS 10.0 (maybe on 10.1); read folowing submission doc for more infor.
# http://water.usgs.gov/osw/flood_inundation/toolbox/files/FloodLibraryTools/FIMProgramMapperSubmissionProcess071712.docx

# Import the arcpy.
import arcpy
from arcpy import env

# Define values " ***CHANGE BEFORE RUNNING THE SCRIPT***
# Input folder 
uinWS = r"P:\indiana_inundation\lafayette\prev_model\analysis_20121029a\clipped_gd"
# output folder 
uoutWS = r"P:\indiana_inundation\lafayette\prev_model\analysis_20121029a\clipped_gd\to_wim_test"
# short name prefix for grids
uinName = "lafain_"
# starting stage
uinStg = 11

# Input rasters
env.workspace = uinWS
inGDs = arcpy.ListRasters("*", "GRID")
# print inGDs
# Sort the list (or the list is scrambled)
inGDs.sort(reverse=False)
# print inGDs

# Loop through each raster, copies and renames.
for inGD in inGDs:
    # Delete rasters from previous script runs.
    if arcpy.Exists(uoutWS + "/" + uinName + str(uinStg)):
        arcpy.Delete_management(uoutWS + "/" + uinName + str(uinStg), "GRID")
    print "Copying " + inGD + " to " + uinName + str(uinStg)
    arcpy.Copy_management(uinWS + "/" + inGD, uoutWS + "/" + uinName + str(uinStg))
    uinStg = uinStg + 1
